Subject: bug#18390: 24.4.50; REGRESSION: `split-window' error

From: Drew Adams <[email-masked]>
Date: Sun, 2 Oct 2016 14:03:39 -0700 (PDT)

> > Yes, 100% reproducible, on MS Windows, at least, using Emacs 25.1:
> 
> The backtrace shows that this is the reason for signaling the error:
> 
>   split-window(#<window 8 on Palette (Hue x Saturation)> 100 t)
> 
> This requests to split an 80-column window while leaving the original
> window 100 columns, which is clearly impossible.  So why is this a
> bug in Emacs and not in palette.el?

Uh, it works 100% of the time with builds prior to Emacs 24.4 -
more precisely, it works perfectly with Emacs 22, 23, 24.1, 24.2
and 24.3, as well as with pre-Emacs 24.4 builds through 2013-07-21.

The next build I have after that is 2013-08-02.  That build and
all later builds have the regression.

(This is all specified in the bug thread.)